Game Develop Core: gd::ObjectMetadata Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
gd::ObjectMetadata Class Reference
Events ( Classes defining the event system and some tools associated with events )

Contains user-friendly information about an object type. More...

`#include <ObjectMetadata.h>`

## Public Member Functions

| ObjectMetadata (const std::string &extensionNamespace_, const std::string &name_, const std::string &fullname_, const std::string &informations_, const std::string &icon24x24_, CreateFunPtr createFunPtrP, DestroyFunPtr destroyFunPtrP)
gd::InstructionMetadata & | AddCondition (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &sentence_, const std::string &group_, const std::string &icon_, const std::string &smallicon_)
| Declare a new condition as being part of the extension. More...
gd::InstructionMetadata & | AddAction (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &sentence_, const std::string &group_, const std::string &icon_, const std::string &smallicon_)
| Declare a new action as being part of the extension. More...
gd::ExpressionMetadata & | AddExpression (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &group_, const std::string &smallicon_)
| Declare a new expression as being part of the extension. More...
gd::StrExpressionMetadata & | AddStrExpression (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &group_, const std::string &smallicon_)
| Declare a new string expression as being part of the extension. More...
ObjectMetadata & | SetFullName (const std::string &fullname_)
| Set the name shown to the user. More...
ObjectMetadata & | SetDescription (const std::string &description_)
| Set the description shown to the user. More...
ObjectMetadata & | SetBitmapIcon (const wxBitmap &bitmap_)
const std::string & | GetName () const
const std::string & | GetFullName () const
const std::string & | GetDescription () const
const wxBitmap & | GetBitmapIcon () const
ObjectMetadata & | SetIncludeFile (const std::string &includeFile)
| Erase any existing include file and add the specified include. More...
ObjectMetadata & | AddIncludeFile (const std::string &includeFile)
| Add a file to the already existing include files.

## Public Attributes

std::map< std::string, gd::InstructionMetadata > | conditionsInfos
std::map< std::string, gd::InstructionMetadata > | actionsInfos
std::map< std::string, gd::ExpressionMetadata > | expressionsInfos
std::map< std::string, gd::StrExpressionMetadata > | strExpressionsInfos
std::vector< std::string > | includeFiles
std::string | className
CreateFunPtr | createFunPtr
DestroyFunPtr | destroyFunPtr

## Detailed Description

Contains user-friendly information about an object type.

## Member Function Documentation

gd::InstructionMetadata & gd::ObjectMetadata::AddAction | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | sentence_,
|  | const std::string & | group_,
|  | const std::string & | icon_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new action as being part of the extension.

Note
  This method does nothing when used for GD C++ runtime.

gd::InstructionMetadata & gd::ObjectMetadata::AddCondition | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | sentence_,
|  | const std::string & | group_,
|  | const std::string & | icon_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new condition as being part of the extension.

Note
  This method does nothing when used for GD C++ runtime.

gd::ExpressionMetadata & gd::ObjectMetadata::AddExpression | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | group_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new expression as being part of the extension.

Note
  This method does nothing when used for GD C++ runtime.

gd::StrExpressionMetadata & gd::ObjectMetadata::AddStrExpression | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | group_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new string expression as being part of the extension.

Note
  This method does nothing when used for GD C++ runtime.

ObjectMetadata & gd::ObjectMetadata::SetBitmapIcon | ( | const wxBitmap & | bitmap_) |  |

Set the bitmap icon shown to the user.

Note
  This method does nothing when used for GD C++ runtime.

ObjectMetadata & gd::ObjectMetadata::SetDescription | ( | const std::string & | description_) |  |

Set the description shown to the user.

Note
  This method does nothing when used for GD C++ runtime.

ObjectMetadata & gd::ObjectMetadata::SetFullName | ( | const std::string & | fullname_) |  |

Set the name shown to the user.

Note
  This method does nothing when used for GD C++ runtime.

ObjectMetadata & gd::ObjectMetadata::SetIncludeFile | ( | const std::string & | includeFile) |  |

Erase any existing include file and add the specified include.

Note
  The requirement may vary depending on the platform: Most of the time, the include file contains the declaration of the object.

The documentation for this class was generated from the following files:

- ObjectMetadata.h
- ObjectMetadata.cpp